#include <bits/stdc++.h>
using namespace std;
#include <iostream>
#define ll long long
signed main(){
	ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
	ll n,m; cin >> n >> m;
	ll x = n + ( m - 2 ) + ( n * m ) / 2;
	cout << x;
}